/** liit  - liittää tiedostoja peräkkäin. Vähän niinkuin cat, mutta karvahattumalli */
#include<stdio.h>
#include<stdlib.h>
int main(int argc, char *argv[]){
    FILE *virta;
    if (argc < 2){
        fprintf(stderr, "Ei katenoitavaa.\n");
        exit(1);
    }

    for (int i=1;i<argc;i++){
        virta = fopen(argv[i], "r");
        if (virta == NULL){
            perror("Ei saatu auki");
            fprintf(stderr, "Skipataan %s\n",argv[i]);
            continue;
        }
        
        while (1){
            int byte = fgetc(virta);
            if (byte==EOF){
                if (feof(virta)){ break; /*OK loppu*/ }
                else {perror("Lukuvirhe"); continue; /*Muu häikkä*/ }
            }
            if (fputc(byte, stdout) == EOF){
                perror("Kirjoitusvirhe");
            }
        }
        fclose(virta);
    }

    return 0;
}
